/* Copyright (c) 2001-2004 by SoftIntegration, Inc. All Rights Reserved */
#ifndef SAMPLE_H
#define SAMPLE_H

/* func1() and func2() use sin() and hypot() in math.h */
#include <math.h> 
#include <stdio.h> 

#if defined(_WIN32)
#define EXPORT _declspec(dllexport)
#else
#define EXPORT 
#endif

typedef int (*FUNPTR)(int n);

EXPORT extern double func1(double x);
EXPORT extern double func2(double x, double y);
EXPORT extern int func3(FUNPTR fp, int n);  /* arg is pointer to func */

#endif /* SAMPLE_H */
